{ nixpkgs ? import <nixpkgs>{} }:

with nixpkgs;

stdenv.mkDerivation rec {

  name = "document";

  src = ./.;

  buildInputs = [
    (texlive.combine {
      inherit (texlive)
        scheme-small

      # Directly required packages
        latexmk
        csquotes
        everypage
        marginnote
        glossaries

      # Apparently required
        mfirstuc
        xfor
        datatool
        substr
        tracklang
      ;    
    })
  ];

  buildPhase = "make";

  # meta = with lib; {
  #   description = "Description";
  #   licenses = licenses.nonfree;
  #   author = "Name <email>";
  # };
}
